> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Planned Gift

GET https://api.virtuoussoftware.com/api/PlannedGift/{plannedGiftId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/get-planned-gift

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `plannedGiftId` (string, required)

## Response

### 200

OK

- `id` (string, optional)
- `plannedGiftUrl` (string, optional)
- `giftsAppliedUrl` (string, optional)
- `contactId` (string, optional)
- `contactUrl` (string, optional)
- `plannedGiftDate` (string, optional)
- `pkannedGiftType` (string, optional)
- `frequency` (string, optional)
- `anticipatedAmount` (string, optional)
- `anticipatedStartDate` (string, optional)
- `numberOfOccurrences` (string, optional)
- `currentValue` (string, optional)
- `fulfilled` (string, optional)
- `projectId` (string, optional)
- `project` (string, optional)
- `projectUrl` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `segmentUrl` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiPlannedGiftPlannedGiftIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiPlannedGiftPlannedGiftIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "id": "<integer>",
  "plannedGiftUrl": "<string>",
  "giftsAppliedUrl": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "plannedGiftDate": "<string>",
  "pkannedGiftType": "<string>",
  "frequency": "<string>",
  "anticipatedAmount": "<string>",
  "anticipatedStartDate": "<string>",
  "numberOfOccurrences": "<integer>",
  "currentValue": "<string>",
  "fulfilled": "<string>",
  "projectId": "<integer>",
  "project": "<string>",
  "projectUrl": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentUrl": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_getPlannedGift_example
import requests

url = "https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Giving_getPlannedGift_example
const url = 'https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_getPlannedGift_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_getPlannedGift_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Giving_getPlannedGift_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Giving_getPlannedGift_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Giving_getPlannedGift_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Giving_getPlannedGift_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/PlannedGift/plannedGiftId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```